/*
 * Class reference INTEGER_32
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_208 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_208 [] = {0xFF01,237,207,0xFFFF};
static const EIF_TYPE_INDEX egt_2_208 [] = {0xFF01,207,0xFFFF};
static const EIF_TYPE_INDEX egt_3_208 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_208 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_208 [] = {0xFF01,207,0xFFFF};
static const EIF_TYPE_INDEX egt_6_208 [] = {0xFF01,207,0xFFFF};
static const EIF_TYPE_INDEX egt_7_208 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_208 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_208 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_208 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_208 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_208 [] = {0xFF01,207,0xFFFF};
static const EIF_TYPE_INDEX egt_13_208 [] = {0xFF01,207,0xFFFF};
static const EIF_TYPE_INDEX egt_14_208 [] = {0xFF01,207,0xFFFF};
static const EIF_TYPE_INDEX egt_15_208 [] = {0xFF01,207,0xFFFF};
static const EIF_TYPE_INDEX egt_16_208 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_17_208 [] = {0xFF01,207,0xFFFF};
static const EIF_TYPE_INDEX egt_18_208 [] = {0xFF01,207,0xFFFF};
static const EIF_TYPE_INDEX egt_19_208 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_20_208 [] = {0xFF01,205,0xFFFF};
static const EIF_TYPE_INDEX egt_21_208 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_22_208 [] = {0xFF01,207,0xFFFF};


static const struct desc_info desc_208[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_208), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_208), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10763, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_208), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_208), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_208), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_208), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_208), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_208), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_208), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_208), 10819, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_208), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_208), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_208), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_208), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10755, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10767, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_208), 10757, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_208), 10758, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10765, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10766, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10851, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10852, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10853, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10857, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10855, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10856, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_208), 10819, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10850, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1452, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1453, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1454, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1456, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_208), 1457, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_208), 1458, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10754, 0},
	{EIF_NON_GENERIC(0x019D /*206*/), 10756, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 10759, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10760, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10761, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10764, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10768, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10769, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10770, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10771, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10854, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10858, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10859, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_208), 10781, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10782, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_208), 10783, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10784, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10860, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0197 /*203*/), 10861, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 10862, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 10863, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0161 /*176*/), 10864, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10865, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10866, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0179 /*188*/), 10867, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 10793, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0197 /*203*/), 10794, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 10795, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 10796, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0161 /*176*/), 10797, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 10798, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10799, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10800, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0179 /*188*/), 10801, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10868, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10869, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_208), 10804, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 10805, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 10806, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 10870, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x016D /*182*/), 10871, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10872, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10873, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10874, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10875, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10813, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10876, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10877, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10816, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10817, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10818, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_208), 10820, 0xFFFFFFFF},
};
void Init208(void)
{
	IDSC(desc_208, 0, 207);
	IDSC(desc_208 + 1, 1, 207);
	IDSC(desc_208 + 32, 248, 207);
	IDSC(desc_208 + 34, 254, 207);
	IDSC(desc_208 + 44, 336, 207);
	IDSC(desc_208 + 45, 203, 207);
	IDSC(desc_208 + 49, 288, 207);
	IDSC(desc_208 + 52, 46, 207);
}


#ifdef __cplusplus
}
#endif
